package com.ruoyi.yunxin.data;

import cn.hutool.core.date.DateUtil;
import lombok.Data;

/**
 * 系统消息通知
 */
@Data
public class SendAttachMsgData {
    private Long id = 11L;
    private SendAttachMsgDataMsg data;

    @Data
    public static class SendAttachMsgDataMsg {
        private Long amount;
        private Long callTime = DateUtil.currentSeconds();
        private Long giftTotal = 0L;
        private Long id = 0L;
        private Integer linkType = 0;
        private Long time = 0L;
        private Long toid = 0L;
        private Long roomId;
    }

    public static SendAttachMsgData init(Long roomId){
        SendAttachMsgData data = new SendAttachMsgData();
        SendAttachMsgDataMsg msgDataMsg = new SendAttachMsgDataMsg();
        msgDataMsg.setRoomId(roomId);
        data.setData(msgDataMsg);
        return data;
    }
}
